Bug 169877 - rsync hangs during sync
rsync hangs during sync
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: rsync (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Simo Sorce
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-04 13:44 EDT by Stefan Neufeind
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-10 12:45:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Neufeind 2005-10-04 13:44:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
The problem seems to occur when transfering "a lot of" new files. (Sorry, I can't give any more detailed numbers). When rsync hangs, it's possible to kill it and start again - rsync will start from the point where it left and continue further - possibly stopping again. Doing this in a cycle you can get rsync to finally run through smooth. (But for the machines here were problems occur, they re-appear after 24 hours of work on those machines.)

In this case rsync is running through an stunnel on a LAN - but a colleague reported that it even occurs without stunnel involved.

This has been encountered with clients running on FC3, FC4 and FC4 with rsync-package from FC5(development).

Backtraces and further information can also be found at:
https://bugzilla.samba.org/show_bug.cgi?id=2957

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Find a machine which has run for a while (maybe created a specific number of new files or so?!?)
2.Rync
3.See it hang
  

Additional info:
Comment 1 Christian Iseli 2007-01-22 06:02:24 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Stefan Neufeind 2007-01-22 12:29:48 EST
From my side please close. We've stayed on the RedHat-track, but meanwhile
migrated to CentOS - so I can't test this anymore.
Comment 3 Simo Sorce 2007-08-10 12:45:34 EDT
I am closing this, it is probably fixed in later releases, if not and you can
provide more info on how to reproduce it, reopen please.

Note You need to log in before you can comment on or make changes to this bug.